package com.webhomecover.beans;

import java.text.NumberFormat;
import java.io.Serializable;

public class ClaimBean implements Serializable
{
 private String policyNumber;
 private double claimValue;
 private String claimType;
 private String claimDescription;
 
 public ClaimBean()
 {
  super();
 }
 
 public String getPolicyNumber()
 {
  return policyNumber;
 }
 
 public String getClaim()
 {
  NumberFormat currencyFormat = NumberFormat.getCurrencyInstance();
  String valueOfClaimFormatted = currencyFormat.format(claimValue);
  return valueOfClaimFormatted;
 }

 public String getType()
 {
  return claimType;
 }
 
 public String getDescription()
 {
  return claimDescription;
 }
 
 public void setPolicyNumber(String policynumber)
 {
  policyNumber = policynumber;
 }

 public void setClaim(String claim)
 {
  try
  {
   claimValue = Double.parseDouble(claim);
  }
  catch(NumberFormatException e)
  {
   e.printStackTrace();
   System.out.println(claimValue + " is not a valid number");
  }
 }
 
 public void setType(String type)
 {
  claimType = type;
 }

 public void setDescription(String description)
 {
  claimDescription = description;
 }
}
