package com.webhomecover.beans;

import java.text.NumberFormat;
import java.io.Serializable;

public class BuildingsDetails implements Serializable
{
	private String propertyType;
	private int bedroomCount;
	private String constructionDate;
	private String constructionType;
	private int marketValue;
	private double insuranceQuote;
	

	public BuildingsDetails()
	{
		super();
	}

/**
 * getBedroomCount
 *
 * @return int
 */
	public int getBedroomCount()
	{
		return bedroomCount;
	}

/**
 * getConstructionDate
 *
 * @return java.lang.String the date of construction in Cloudscape Date format: yyyy-mm-dd
 */
	public String getConstructionDate()
	{
		return constructionDate;
	}

/**
 * getConstructionType
 *
 * @return java.lang.String
 */
	public String getConstructionType()
	{
		return constructionType;
	}

/**
 * getMarketValue
 *
 * @return int
 */
	public int getMarketValue()
	{
		return marketValue;
	}

/**
 * getPropertyType
 *
 * @return java.lang.String
 */
	public String getPropertyType()
	{
		return propertyType;
	}

	public double getInsuranceQuote()
	{
		return insuranceQuote;
	}
	
	public String getFormattedInsuranceQuote()
	{
		NumberFormat currencyFormat = NumberFormat.getCurrencyInstance();
		return currencyFormat.format(getInsuranceQuote());
	}
	
	public void setInsuranceQuote(double quote)
	{
		insuranceQuote = quote;
	}
/**
 * setBedroomCount
 *
 * @param newBedroomCount int
 */
	public void setBedroomCount(int newBedroomCount)
	{
		bedroomCount = newBedroomCount;
	}

/**
 * setConstructionDate
 *
 * @param newConstructionDate String
 */
	public void setConstructionDate(String newConstructionDate)
	{
		constructionDate = newConstructionDate;
	}

/**
 * setConstructionType
 *
 * @param newConstructionType java.lang.String
 */
	public void setConstructionType(String newConstructionType)
	{
		constructionType = newConstructionType;
	}

/**
 * setMarketValue
 *
 * @param newMarketValue int
 */
	public void setMarketValue(int newMarketValue)
	{
		marketValue = newMarketValue;
	}

/**
 * setPropertyType
 *
 * @param newPropertyType java.lang.String
 */
	public void setPropertyType(String newPropertyType)
	{
		propertyType = newPropertyType;
	}
}
