package com.webhomecover.beans;

import java.text.NumberFormat;
import java.io.Serializable;

public class ContentsDetails implements Serializable
{
	private int coverAmount;
	private boolean accidentalCover;
	private int deductibleAmount;
	private double insuranceQuote;

	public ContentsDetails()
	{
		super();
	}

/**
 * getCoverAmount
 *
 * @return int
 */
	public int getCoverAmount()
	{
		return coverAmount;
	}

/**
 * getDeductibleAmount
 *
 * @return int
 */
	public int getDeductibleAmount()
	{
		return deductibleAmount;
	}

/**
 * getAccidentalCover
 *
 * this method is called getAccidentalCover instead of isAccidentalCover
 * to be JSP compatible
 *
 * @return boolean
 */
	public boolean getAccidentalCover()
	{
		return accidentalCover;
	}
	
	public double getInsuranceQuote()
	{
		return insuranceQuote;
	}
		
	public String getFormattedInsuranceQuote()
	{
		NumberFormat currencyFormat = NumberFormat.getCurrencyInstance();
		return currencyFormat.format(getInsuranceQuote());
	}
	public void setInsuranceQuote(double quote)
	{
		insuranceQuote = quote;
	}
/**
 * setCoverAmount
 *
 * @param newCoverAmount int
 */
	public void setCoverAmount(int newCoverAmount)
	{
		coverAmount = newCoverAmount;
	}

/**
 * setAccidentalCover
 *
 * @param newAccidentalCover boolean
 */
	public void setAccidentalCover(boolean newAccidentalCover)
	{
		accidentalCover = newAccidentalCover;
	}

/**
 * setDeductibleAmount
 *
 * @param newDeductibleAmount int
 */
	public void setDeductibleAmount(int newDeductibleAmount)
	{
		deductibleAmount = newDeductibleAmount;
	}
}
