package com.webhomecover.model;

import com.webhomecover.beans.BuildingsDetails;
import com.webhomecover.beans.ContentsDetails;

public class InsuranceQuoter
{
	public static final int DETACHED = 1;
	public static final int SEMIDETACHED = 2;
	public static final int APARTMENT = 4;
	public static final int TERRACED = 3;

	public static double getBuildingsQuote(BuildingsDetails buildingsDetails)
	{
		System.out.println("in InsuranceQuoteBean::getBuildingsQuote");
		double premium = 0.0;
		double basicQuote = buildingsDetails.getMarketValue() * .002;
		int building = 0;
		String propertyType = buildingsDetails.getPropertyType();
		if (propertyType.equals("apartment"))
		{
			building = APARTMENT;
		}
		if (propertyType.equals("semi"))
		{
			building = SEMIDETACHED;
		}
		if (propertyType.equals("terraced"))
		{
			building = TERRACED;
		}
		if (propertyType.equals("detached"))
		{
			building = DETACHED;
		}
		switch (building)
		{
			case DETACHED :
				premium = basicQuote * 1.1;
				break;
			case SEMIDETACHED :
				premium = basicQuote * 1.05;
				break;
			case TERRACED :
				premium = basicQuote * 1;
				break;
			case APARTMENT :
				premium = basicQuote * 0.95;
		}
		premium = premium + (buildingsDetails.getBedroomCount() * (premium / 100));
		String yearString = buildingsDetails.getConstructionDate().substring(2, 4);
		int year = Integer.parseInt(yearString);
		switch (year)
		{
			case 00 :
				premium += premium * .04;
				break;
			case 01 :
				premium += premium * .03;
				break;
			case 51 :
				premium += premium * .02;
				break;
			case 71 :
				premium += premium * .01;
		}
		if (buildingsDetails.getConstructionType().equals("timber"))
		{
			premium += (premium * 0.1);
		}
		System.out.println("Calculated premium " + premium);
		return premium;
	}

	public static double getContentsQuote(ContentsDetails contentsDetails)
	{
		System.out.println("in InsuranceQuoteBean::getContentsQuote");
		boolean accidentalCover = contentsDetails.getAccidentalCover();
		int cover = contentsDetails.getCoverAmount();
		int deductible = contentsDetails.getDeductibleAmount();

// calculate the initial premium

		double premium = cover * 0.004;
		if (accidentalCover)
		{
			premium *= 1.25;
		}
		if(deductible >= 1000)
		{
			premium -= (premium * 0.2);
		}
		else
		{
			if(deductible >= 500)
			{
				premium -= (premium * 0.1);
			}
		}
		return premium;
	}
}
